List Redirects

Returns a collection of the store's 301 redirects across all sites.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

site_idintegerOptional
Filters items by site ID.
id:inlist of integersOptional

Filters items by redirect ID. Also accepts comma-separated values to filter for multiple redirects.

id:minintegerOptional
Filters items by minimum redirect ID.
id:maxintegerOptional
Filters items by maximum redirect ID.
limitintegerOptional
Controls the number of items to return per page.
pageintegerOptional

Specifies the page number in a limited (paginated) list of items. Used to paginate large collections.

sortenumOptional
Field name to sort by. Since redirect IDs increment when new redirects are added, you can sort by ID to return results in redirect create date order.
Allowed values:
directionenumOptional

Sort direction. Acceptable values are asc, desc.

Allowed values:
includelist of enumsOptional

Indicates whether to include redirect sub-resources. Only to_url is supported.

Allowed values:
keywordstringOptional

Filters redirects by the specified keyword. Will only search from the beginning of a URL path. For example, blue will match /blue and /blue-shirt , not /royal-blue-shirt.

Response

datalist of objects
metaobject